summaryrefslogtreecommitdiff
path: root/lib/nvm.zsh
diff options
context:
space:
mode:
authorJoe Block <jpb@unixorn.net>2014-12-14 21:10:48 -0800
committerJoe Block <jpb@unixorn.net>2014-12-16 13:22:31 -0800
commit16d07683058719811a7871cbf7bed066ac8fc784 (patch)
tree1f28b9c200855a317e8b25fbae43062bc668f74a /lib/nvm.zsh
parent0a96bb15779e8dad3586f77582f58e987b4c265a (diff)
downloadzsh-16d07683058719811a7871cbf7bed066ac8fc784.tar.gz
zsh-16d07683058719811a7871cbf7bed066ac8fc784.tar.bz2
zsh-16d07683058719811a7871cbf7bed066ac8fc784.zip
Quote path in case $HOME has a space in it.
I've seen stranger things on OS X, unfortunately. This reverts commit 1f5cecee4768be192e439a72a873a6cfe8720927.
Diffstat (limited to 'lib/nvm.zsh')
-rw-r--r--lib/nvm.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/lib/nvm.zsh b/lib/nvm.zsh
index 5cadf7061..61d997fc0 100644
--- a/lib/nvm.zsh
+++ b/lib/nvm.zsh
@@ -1,6 +1,6 @@
# get the node.js version
function nvm_prompt_info() {
- [ -f $HOME/.nvm/nvm.sh ] || return
+ [ -f "$HOME/.nvm/nvm.sh" ] || return
local nvm_prompt
nvm_prompt=$(node -v 2>/dev/null)
[[ "${nvm_prompt}x" == "x" ]] && return